#!/bin/sh

src_dir=$1
dst_dir=$2
width=$3

for inpfile in $src_dir/*.tar; do

  fn=`basename $inpfile`

  if [ -f $dst_dir/$fn ]; then
    echo skipping $fn
  else
    tar xf $inpfile

    echo optimizing images in $fn
    for imgfile in *.png; do
      ../../Lbuild/optimage $imgfile $imgfile $width
    done
    ../../Lbuild/mkpngtar $dst_dir/$fn *.png
    rm *.png
  fi

done
