#!/bin/sh

for X in *.pnm; do

  Y=`basename -s .pnm $X`
  pnmtopng < $X > $Y.png 
  if [ $? -ne 0 ]; then
    echo conversion of $X failed
    exit 1
  fi
  rm $X
  if [ $? -ne 0 ]; then
    echo can not remove $X
    exit 1
  fi
  echo converted $X to $Y.png

done
